%define	name	kuake
%define	version	0.3
%define	release	%mkrel 5
%define	Summary	Quake style Konsole

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}

License:	GPL
Group:		Terminals
Source0:	%{name}-%{version}.tar.bz2
Patch0:		kuake-0.3-fix-comment-language.patch
Url:		http://www.nemohackers.org/kuake.php
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-devel desktop-file-utils
# need konsolepart
Requires:	kdebase-common

%description
Kuake is a KDE konsole application with the look and feel of that in the
Quake engine. It intends to create seemless integration of a konsole to your
KDE desktop.

%prep
%setup -q
%patch0 -p0

%build
%configure --disable-rpath
%make

%install
rm -rf %buildroot
%makeinstall

# Menu
desktop-file-install --vendor="" --delete-original \
--add-category="KDE" \
--add-category="TerminalEmulator" \
--add-category="X-MandrivaLinux-System-Terminals" \
--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/*

#mdk icons
%__install -D -m 644 %{buildroot}%{_iconsdir}/locolor/32x32/apps/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png
%__install -D -m 644 %{buildroot}%{_iconsdir}/locolor/32x32/apps/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
%__install -D -m 644 %{buildroot}%{_iconsdir}/locolor/16x16/apps/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name}

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(0755,root,root,0755)
%{_bindir}/%{name}
%defattr(0644,root,root,0755)
%{_datadir}/applications/*
%{_datadir}/apps/kuake/kuakeui.rc
%{_datadir}/icons/*/*/apps/*.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%doc %_docdir/HTML/*/%{name}/*


%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.3-5mdv2008.1
+ Revision: 140918
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Aug 25 2007 Funda Wang <fundawang@mandriva.org> 0.3-5mdv2008.0
+ Revision: 71126
- fix zh_CN comment language

* Thu Jul 19 2007 Nicholas Brown <nickbrown@mandriva.org> 0.3-4mdv2008.0
+ Revision: 53526
- xdg menu only
- fix menu (#29233)
- Import kuake



* Wed Jul 18 2005 Nick Brown <nickbrown@mandrake.org> 0.3-3mdk
- rebuild
- use %%mkrel

* Wed Jun 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3-2mdk
- rebuild
- cosmetics

* Thu Mar 11 2004 Nick Brown <nickbroon@blueyonder.co.uk> 0.3-1mdk
- update to version 0.3

* Thu Mar 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-1mdk

- from Nick Brown <nickbroon@blueyonder.co.uk> : 
        - update to version 0.2.2

* Thu Feb 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2.1-1mdk

- from Nick Brown <nickbroon@blueyonder.co.uk> :
        - First Mandrake package release
